summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-antivirus/xfprot/xfprot-1.19.ebuild')
-rw-r--r--app-antivirus/xfprot/xfprot-1.19.ebuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/app-antivirus/xfprot/xfprot-1.19.ebuild b/app-antivirus/xfprot/xfprot-1.19.ebuild
new file mode 100644
index 000000000..9dacd5311
--- /dev/null
+++ b/app-antivirus/xfprot/xfprot-1.19.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="A graphical frontend to the F-Prot Antivirus(TM) for Linux"
+HOMEPAGE="http://web.tiscali.it/sharp/xfprot/"
+SRC_URI="http://web.tiscali.it/sharp/xfprot/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+
+IUSE_LINGUAS="linguas_de linguas_en linguas_es linguas_fr linguas_it linguas_pl linguas_pt_BR"
+IUSE="${IUSE_LINGUAS} debug"
+
+DEPEND=">=x11-libs/gtk+-2.4
+ >=app-antivirus/f-prot-4.6.0-r2"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ einfo "Please, set your LINGUAS to exactly ONE of the supported values."
+ einfo "This application cannot support multiple languages at the same time (yet)."
+}
+
+src_compile() {
+ local myconf=
+ use linguas_de && myconf="${myconf} --with-lang=de_DE"
+ use linguas_en && myconf="${myconf} --with-lang=en_GB"
+ use linguas_es && myconf="${myconf} --with-lang=es_ES"
+ use linguas_fr && myconf="${myconf} --with-lang=fr_FR"
+ use linguas_it && myconf="${myconf} --with-lang=it_IT"
+ use linguas_pl && myconf="${myconf} --with-lang=pl_PL"
+ use linguas_pt_BR && myconf="${myconf} --with-lang=pt_BR"
+
+ if [[ -z ${myconf} ]] ; then
+ einfo "You didn't select any language, defaulting to English."
+ einfo "If you want something else, set LINGUAS accordingly."
+ epause 3
+ myconf="--with-lang=en_GB"
+ fi
+
+ # not using econf because script does not like --prefix=/usr
+ ./configure \
+ --autodetect \
+ --with-install-dir="${D}/usr" \
+ ${myconf} \
+ $(use_with debug) || die "configure failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ # install manually, make install produces stupid directory structure
+ newbin ${S}/xfprot-gtk xfprot
+
+ # Install the icons
+ insinto /usr/share/pixmaps
+ newins icons/antivirus-32x32.png xfprot.png
+ for res in 32x32 48x48 64x64 128x128 ; do
+ insinto /usr/share/icons/hicolor/${res}/apps/
+ newins icons/antivirus-${res}.png xfprot.png
+ done
+ make_desktop_entry ${PN} "XFProt (F-Prot AV GUI)" ${PN}.png "Security;System;GTK"
+
+ dodoc Changelog README eicar.com.txt
+}